DB_TXN->get_name()
Prev | Chapter 12. The DB_TXN Handle | Next

## DB_TXN->get_name()

    #include <db.h>

    int
    DB_TXN->get_name(DB_TXN *txn, const char **namep);

The `DB_TXN->get_name()` method returns the string associated with the transaction.

The `DB_TXN->get_name()` method may be called at any time during the life of the application.

The `DB_TXN->get_name()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### namep

The `DB_TXN->get_name()` method returns a reference to the string associated with the transaction in namep.

### Class

DB_ENV, DB_TXN

### See Also

Transaction Subsystem and Related Methods

Prev | Up | Next
DB_TXN->discard() | Home | DB_TXN->get_priority()